### Class

# EDataServer SourceCamel

since: 3.6

#### Description [src]

    abstract class EDataServer.SourceCamel : EDataServer.SourceExtension
    {
      /* No available fields */
    }

Contains only private data that should be read and manipulated using the functions below.

Available since: 3.6

#### Hierarchy

#### Ancestors

- ESourceExtension
- GObject

#### Functions

###### e_source_camel_generate_subtype

Generates a custom `ESourceCamel` subtype for `protocol`. Instances of the new subtype will contain a `CamelSettings` instance of type `settings_type`.

since: 3.6

###### e_source_camel_get_extension_name

Returns the extension name for the `ESourceCamel` subtype for `protocol`. The extension name can then be passed to `e_source_get_extension()` to obtain an instance of the `ESourceCamel` subtype.

since: 3.6

###### e_source_camel_get_type_name

Returns the `GType` name of the registered `ESourceCamel` subtype for `protocol`.

since: 3.6

###### e_source_camel_register_types

Creates and registers subclasses of `ESourceCamel` for each available `CamelProvider`. This function should be called once during application or library initialization.

since: 3.6

#### Instance methods

###### e_source_camel_get_settings

Returns `extension`‘s `ESourceCamel:settings` instance, pre-configured from the `ESource` to which `extension` belongs. Changes to the `ESource` will automatically propagate to the `ESourceCamel:settings` instance and vice versa.

since: 3.6

##### Methods inherited from ESourceExtension (4)

###### e_source_extension_get_source

Returns the `ESource` instance to which `extension` belongs.

deprecated: 3.8 since: 3.6

###### e_source_extension_property_lock

Acquires a property lock, thus no other thread can change properties of the `extension` until the lock is released.

since: 3.18

###### e_source_extension_property_unlock

Releases a property lock, previously acquired with e_source_extension_property_lock(), thus other threads can change properties of the `extension`.

since: 3.18

###### e_source_extension_ref_source

Returns the `ESource` instance to which the `extension` belongs.

since: 3.8

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### EDataServer.SourceCamel:settings

The `CamelSettings` instance being proxied.

##### Properties inherited from ESourceExtension (1)

###### EDataServer.SourceExtension:source

The `ESource` being extended.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataServerSourceCamelClass {
      ESourceExtensionClass parent_class;
      GType settings_type;

    }

No description available.

###### Class members

`parent_class: ESourceExtensionClass`

  No description available.

`settings_type: GType`

  No description available.